Subject: JUNE BUGS

From: [email-masked] (Jen Mayer)
Date: Sat, 4 Mar 1995 23:41:00 GMT

I'm a few months early on this, but is there a predator (other than 
angry homeowners) for June Bugs? Last year they had us surrounded -- 
found ways into the house through screens, doors, you name it. Seemed 
like the population was way out of whack.

What eats those horrid things?
 * RM 1.3 01256 * The world's full of Cactus, but I don't have to sit on it